﻿using UnityEngine;
using System.Collections;

public class ptlight2a : MonoBehaviour {
	// RTcmix/audio stuff
	private int objno = 2;
	private rtcmixmain RTcmix;
	public getMyTransform localsrc; // to get position relative to 'observer'

	// Use this for initialization
	void Start () {
		// RTcmix stuff
		RTcmix = GameObject.Find ("RTcmixmain").GetComponent<rtcmixmain> ();
		RTcmix.initRTcmix (objno);

		// we do this because sometimes RTcmix doesn't get initialized completely here
		RTcmix.SendScore ("rtinput(\"AUDIO\")  MAXBANG(0.5)", objno);
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnAudioFilterRead(float[] data, int channels) {
		RTcmix.runRTcmix (data, objno, 1);

		if (RTcmix.checkbangRTcmix (objno) == 1) {
			// note the the Z and the Y axis get swapped because of the way Unity labels them
			RTcmix.SendScore ("bus_config(\"MOOGVCF\", \"in 0-1\", \"aux 0-1 out\") " +
				"bus_config(\"LOCALIZE\", \"aux 0-1 in\", \"out 0-1\")  " +
				"cfreq = maketable(\"line\", \"nonorm\", 1000, 0,500, 1,1500, 2,500) " +
				"srcX = makeconnection(\"inlet\", 1, 1)  " +
				"srcZ = makeconnection(\"inlet\", 2, 5)  " +
				"LOCALIZE(0, 0, 9999, 1,  srcX, srcZ, 0,  0, 0, 0,  1, 1,  0,  1, 2)", objno);
		}
	}

	void OnApplicationQuit() {
		RTcmix.destroy (objno);
	}
}
